<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
OnCmd Method (IEdmAddIn5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddIn5 Interface : OnCmd Method (IEdmAddIn5)

Visual Basic
C#
C++/CLI

poCmd
  EdmCmd structure; command information common to all affected files and folders

ppoData
  Array of EdmCmdData structures, one for each affected file or folder

Called by SOLIDWORKS PDM Professional whenever one of the menu commands or hooks registered in IEdmAddIn5::GetAddInInfo is executed.

# Syntax

Visual Basic |
--- | ---

    Sub OnCmd( _
       ByRef poCmd As EdmCmd, _
       ByRef ppoData() As EdmCmdData _
    )

C# |
--- | ---

    void OnCmd(
       out EdmCmd poCmd,
       out EdmCmdData[] ppoData
    )

C++/CLI |
--- | ---

    void OnCmd(
    &   [Out] EdmCmd poCmd,
    &   [Out] array<EdmCmdData>^ ppoData
    )

#### Parameters

poCmd
  EdmCmd structure; command information common to all affected files and folders
ppoData
  Array of EdmCmdData structures, one for each affected file or folder

# Example

See the IEdmAddin5 examples.

# Remarks

See the IEdmAddIn5 topic for more information.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddIn5 Interface
IEdmAddIn5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional